The DOMNameSpaceNode class

- « DOMNamedNodeMap::item

- DOMNameSpaceNode::__sleep »

- PHP Manual
- DOM
- The DOMNameSpaceNode class

# The DOMNameSpaceNode class

(PHP 5, PHP 7, PHP 8)

## Class synopsis

class DOMNameSpaceNode {
/* Properties */
public readonly string $nodeName;
public readonly ?string $nodeValue;
public readonly int $nodeType;
public readonly string $prefix;
public readonly ?string $localName;
public readonly ?string $namespaceURI;
public readonly bool $isConnected;
public readonly ?DOMDocument $ownerDocument;
public readonly ?DOMNode $parentNode;
public readonly ?DOMElement $parentElement;
/* Methods */
public __sleep(): array
public __wakeup(): void
}

## Properties

nodeName

  The qualified name of this node.

nodeValue

  The namespace URI declared by this node, or `null` if the empty namespace.

nodeType

  The type of the node. In this case it returns `XML_NAMESPACE_DECL_NODE` .

prefix

  The namespace prefix declared by this node.

localName

  The local part of the qualified name of this node.

namespaceURI

  The namespace URI declared by this node, or `null` if it is unspecified.

isConnected

  Whether the node is connected to a document.

ownerDocument

  The DOMDocument object associated with this node, or `null` if this node is a DOMDocument

parentNode

  The parent of this node. If there is no such node, this returns `null`.

parentElement

  The parent element of this node. If there is no such element, this returns `null`.

## Changelog

Version | Description
--- | ---
8.3.0 | Properties DOMNameSpaceNode::$parentElement, and DOMNameSpaceNode::$isConnected have been added.

## Table of Contents

- DOMNameSpaceNode::__sleep — Forbids serialization unless serialization methods are implemented in a subclass
- DOMNameSpaceNode::__wakeup — Forbids unserialization unless unserialization methods are implemented in a subclass